﻿var currentSetting;
var defaultBitrate = "http://rockparada.cz/fajnrockmusic128-34086.asx";
var lastBitrate;

window.onload = function() {
	currentSetting = System.Gadget.Settings.read("bitrate");
	if (currentSetting != ""){
		mediaPlayer.url  = currentSetting;
	} else {
		currentSetting = defaultBitrate;
		mediaPlayer.url = defaultBitrate;
		}
	System.Gadget.settingsUI = "settings.html";
	System.Gadget.onSettingsClosed = SettingsClosed;
	lastBitrate = currentSetting;
}

function SettingsClosed(event) {
	lastBitrate = currentSetting;
	currentSetting = System.Gadget.Settings.read("bitrate");
	if (event.closeAction == event.Action.commit){
		if(currentSetting != lastBitrate){
		mediaPlayer.url = currentSetting;
		}
		
	}else if(event.closeAction == event.Action.cancel){
	}
}

function PlayStop() {
	if (controlImage.src == "images/stop.png"){
		mediaPlayer.controls.stop();}
	else {
		mediaPlayer.controls.play();}
		
}

function playStateChange(newstate) {
	switch (newstate){ 
	case 1: // Stopped
		//playbackStatus.innerHTML = "Zastaveno";
		controlImage.src = "images/play.png";
		break;

	case 2: // Paused
		//playbackStatus.innerHTML = "Pozastaveno";
		controlImage.src = "images/pause.png";
		break;

	case 3: // Playing
		//playbackStatus.innerHTML = "Přehrávám";
		controlImage.src = "images/stop.png";
		break;

	case 6: // Buffering
		//playbackStatus.innerHTML = "Buffering";
		break;

	case 7: // Waiting
		//playbackStatus.innerHTML = "Čekám";
		break;

	case 8: // Media Ended
		//playbackStatus.innerHTML = "Konec média";
		controlImage.src = "images/play.png";
		break;

	case 9: // Ready
		//playbackStatus.innerHTML = "Připraven";
		controlImage.src = "images/play.png";
		getPlayingSong();
		break;
	}
}

function mute() {
	if (mediaPlayer.settings.mute == 0) {
		mediaPlayer.settings.mute = 1;
		controlImageMute.src = "images/mute_off.png";
	} else {
		mediaPlayer.settings.mute = 0;
		controlImageMute.src = "images/mute_on.png";
	} 
}

function checkMute(){
	if(mediaPlayer.settings.mute == 1){
		controlImageMute.src = "images/mute_on.png";
		mediaPlayer.settings.mute = 0;
	}
}

function volUp() {
	mediaPlayer.settings.volume = (mediaPlayer.settings.volume + 10);
	checkMute();
}

function volDown() {
	mediaPlayer.settings.volume = (mediaPlayer.settings.volume - 10);
	checkMute();
}

function mousewheelVolume() {
	if (event.wheelDelta >= 20){
		mediaPlayer.settings.volume = (mediaPlayer.settings.volume + 10);
	} else {
		mediaPlayer.settings.volume = (mediaPlayer.settings.volume - 10);
	}
	checkMute();
}